Subject: Re: [bug#40021] gnu: Add mm-common.

From: Marius Bakke <[email-masked]>
Date: Thu, 19 Mar 2020 10:27:04 +0100

"Raghav Gururajan" <[email-masked]> writes:

> Hi Danny!
>
> Thanks for the information. I will get back to you regarding the modules.
>
> I also noticed that I didn't enable a build option that downloads gcc tag files. Can you help me with how to provide network access inside build container/process? The wget is unable to resolve domain name.
>
> Resolving gcc.gnu.org (gcc.gnu.org)... failed: Name or service not known.
> wget: unable to resolve host address ?gcc.gnu.org?

It is not possible to enable network access inside the build container.
If it were, build processes would no longer be deterministic, and we
would lose a lot of reproducibility guarantees!

You'll need to supply whatever external resources the package needs as
"native-inputs", and then tell the build system how to access those
inputs instead of downloading them from the network.